/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DC.H__   1.5   20 Jun 1996 09:29:28   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DC.H__  $
** 
**    Rev 1.5   20 Jun 1996 09:29:28   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:06   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:35:44   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dc.h
//
// Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _DC_
#define _DC_

class DCTool : public CToolOption
{      
// constructor/destructor
public:
    DCTool() { SetDefault(); }
    
// attributes
public:      
    int     m_nRegBank;
    int     m_nMemoryModel;
    int     m_nOptimize;
    CString m_strMore; 
    BOOL    m_fNopr;
    BOOL    m_fDb;
    CString m_strPath;
    virtual LPCSTR GetToolName(void) const 
    {
        return "OMF51 c51 Compiler";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);
    virtual CString GetOption(void) const;

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _DC_
